## ros-indigo-crsm-slam 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(crsm_slam)

find_package(catkin REQUIRED COMPONENTS 
		roscpp 
		tf
		nav_msgs
		geometry_msgs
		sensor_msgs
	    )


catkin_package(
    CATKIN_DEPENDS
      roscpp 
      tf
      nav_msgs
      geometry_msgs
      sensor_msgs
    INCLUDE_DIRS include
    LIBRARIES
      crsm_laser
      crsm_map
      crsm_slam
)

include_directories(include
  ${catkin_INCLUDE_DIRS} 
)

set(CMAKE_BUILD_TYPE Release)

############### crsm_laser ###############
add_library(crsm_laser src/crsm_slam/crsm_laser.cpp)
target_link_libraries(crsm_laser ${catkin_LIBRARIES} )

################ crsm_map ################
add_library(crsm_map src/crsm_slam/crsm_map.cpp)
target_link_libraries(crsm_map ${catkin_LIBRARIES} )

################ crsm_slam ################
add_library(crsm_slam src/crsm_slam/crsm_slam.cpp)
target_link_libraries(crsm_slam 
		      ${catkin_LIBRARIES}
		      crsm_laser
		      crsm_map
)

############## crsm_slam_node ##############
add_executable(crsm_slam_node  src/crsm_slam/crsm_slam_node.cpp)
target_link_libraries(crsm_slam_node 
		      ${catkin_LIBRARIES}
		      crsm_slam
)

# Install headers
install(DIRECTORY include/
   DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h"
)

# Install files
install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install libraries
install(TARGETS crsm_laser crsm_map crsm_slam
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# Install excecutables
install(TARGETS crsm_slam_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-crsm-slam (1.0.3-0trusty) trusty; urgency=high

  * Compliance with ROS REP 117

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 10 May 2014 21:00:00 -0000

ros-indigo-crsm-slam (1.0.2-0trusty) trusty; urgency=high

  * fix cmake to export shared libraries

 -- Manos Tsardoulias <etsardou@gmail.com>  Tue, 25 Feb 2014 22:00:00 -0000

ros-indigo-crsm-slam (1.0.1-0trusty) trusty; urgency=high

  * fix install targets in cmake

 -- Manos Tsardoulias <etsardou@gmail.com>  Sat, 18 Jan 2014 22:00:00 -0000

ros-indigo-crsm-slam (1.0.0-0trusty) trusty; urgency=high

  * First release of crsm_slam

 -- Manos Tsardoulias <etsardou@gmail.com>  Mon, 06 Jan 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-crsm-slam
Section: misc
Priority: extra
Maintainer: Manos Tsardoulias <etsardou@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/crsm_slam
Standards-Version: 3.9.2

Package: ros-indigo-crsm-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf
Description: ROS package for the CRSM SLAM (Critical Rays Scan Match Simultaneous Localization And Mapping)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-crsm-slam//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
